Bug 448018 - Unable to load library: librexxutil.so
Unable to load library: librexxutil.so
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oorexx (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 18:36 EDT by Don Russell
Modified: 2009-08-17 18:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.0.0-2.4801.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 17:52:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Russell 2008-05-22 18:36:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
oorexx-3.2.0-4.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. create a rexx script that uses SysSleep
2. run the script
3. watch it fail :-)
 i.e.
/* REXX */
say 'Hello'
call SysSleep 5
say 'Good bye'

  
Actual results:
Hello
 *E* Unable to load library: librexxutil.so !
Error message: librexxutil.so: cannot open shared object file: No such
file or directory
    4 *-* call SysSleep 5
REX0043E: Error 43 running /home/don/trysleep.cmd line 4:  Routine not found
REX0417E: Error 43.1:  Could not find routine "SYSSLEEP"

Expected results:
Hello
<5 second pause>
Good bye



Additional info:
Comment 1 Don Russell 2008-06-04 20:56:22 EDT
Work around:

in /usr/lib directory:

ln -s librexxutil.so.3.0.4 librexxutil.so

This symbolic link should be created when oorexx-libs is installed/updated.
Comment 2 Bill Horton 2009-03-12 14:53:47 EDT
Had same problem with F10.  Defined slightly different link:

ln -s librexxutil.so.3.0.4 libRexxUtil.so
Comment 3 Bug Zapper 2009-06-09 21:06:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Don Russell 2009-06-10 00:48:26 EDT
The problem still exists in Fedora 11. I changed the version number accordingly.

The work around from comment #1 solved the problem in Fedora 11.
Comment 5 Gérard Milmeister 2009-08-09 08:27:59 EDT
Sorry for taking so long. The required .so files are in the -devel package. Since they are obviously needed at runtime, I moved them to -libs. I updated to version 4.0.0.
Comment 6 Fedora Update System 2009-08-09 08:37:34 EDT
oorexx-4.0.0-2.4801.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oorexx-4.0.0-2.4801.fc11
Comment 7 Fedora Update System 2009-08-09 08:59:25 EDT
oorexx-4.0.0-2.4801.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/oorexx-4.0.0-2.4801.fc10
Comment 8 Fedora Update System 2009-08-10 17:39:13 EDT
oorexx-4.0.0-2.4801.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oorexx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8400
Comment 9 Fedora Update System 2009-08-10 17:41:41 EDT
oorexx-4.0.0-2.4801.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oorexx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8416
Comment 10 Fedora Update System 2009-08-17 17:52:31 EDT
oorexx-4.0.0-2.4801.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-17 18:01:40 EDT
oorexx-4.0.0-2.4801.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.